<?php
Class Produtos_model extends CI_Model{
    
    function lista($filtro = array()){
    
       $this ->db->select('produtos.*,estoque.*,marca.marca,unidadeprod.abreviatura as unidade, nivel_grupo1.grupo1,nivel_grupo2.grupo2');
       $this ->db->from('produtos');
       $this ->db->join('estoque','estoque.codigo=produtos.id_produto','left');

       $this ->db->join('marca','marca.codigo=estoque.codigo_marca','left');

       $this ->db->join('unidadeprod','unidadeprod.codigo=produtos.unidade_saida','left');

       $this ->db->join('nivel_grupo1','nivel_grupo1.codigo_grupo1=produtos.codigo_grupo1','left');
       $this ->db->join('nivel_grupo2','nivel_grupo2.codigo_grupo2=produtos.codigo_grupo2','left');

       //$this ->db->limit('400');

       if (isset($filtro['ordem'])){
            if ($filtro['ordem'] == ''){
                $this ->db->order_by('nivel_grupo1.grupo1,nivel_grupo2.grupo2,produtos.codigo_produto');
            }else{
                $this ->db->order_by('nivel_grupo1.grupo1,nivel_grupo2.grupo2,produtos.codigo_produto');
            }
       }

       $this ->db->order_by('nivel_grupo1.grupo1,nivel_grupo2.grupo2,produtos.codigo_produto');
       
       $qry = $this->db->get();
       return $qry->result();

    }
    
    /*
    function blog_novo($data){
        $this->db->insert('blog',$data);

        $retorno = array( 
            'id_blog'   => $this->db->insert_id(),
            'sql'         => $this->db->last_query()
        );

        return $retorno;  
    }
    
    function blog_edita_salva($id_blog,$data){
        $this->db->where('id_blog', $id_blog);
        $this->db->update('blog', $data);

        $retorno = array(  
            'sql'       => $this->db->last_query()
        );

        return $retorno;  
        
    }
    
    function blog_deleta($data){
        $this->db->where('id_blog',$data);
        $this->db->delete('blog');
        
        $retorno = array(  
            'sql'       => $this->db->last_query()
        );

        return $retorno;  
    }
    
    function ver($id_blog){    
        $this->db->select('*');
        $this->db->from('blog');
        $this->db->where('id_blog', $id_blog);

        $qry = $this->db->get();
        
        return $qry->result();    
    } 
  */
}